Bug 1302723 - user 'systemd-journal-upload': directory '//var/log/journal/upload' does not exist
user 'systemd-journal-upload': directory '//var/log/journal/upload' does not ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 08:13 EST by DaveG
Modified: 2016-07-15 12:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-15 12:11:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DaveG 2016-01-28 08:13:22 EST
Description of problem:

Minor niggle!

Extra '/' on home directory for UID systemd-journal-upload and systemd-journal-remote.


Version-Release number of selected component (if applicable):

22->rawhide.


How reproducible:

Always.


Steps to Reproduce:
1. Install the systemd-journal-gateway package.
2. Run pwck.


Actual results:

user 'systemd-journal-upload': directory '//var/log/journal/upload' does not exist
user 'systemd-journal-remote': directory '//var/log/journal/remote' does not exist


Expected results:

No errors or warnings.


Additional info:

"... -d /%{_localstatedir}/log/journal/..."
should be
"... -d %{_localstatedir}/log/journal/..."

http://pkgs.fedoraproject.org/cgit/rpms/systemd.git/tree/systemd.spec#n528
http://pkgs.fedoraproject.org/cgit/rpms/systemd.git/tree/systemd.spec#n530
Comment 1 DaveG 2016-07-15 12:11:20 EDT
Apparently fixed in http://pkgs.fedoraproject.org/cgit/rpms/systemd.git/commit/systemd.spec?id=340bf090f9ae60eeaf762b3ba3fc25379bb3eb59
author	Jan Synacek <jsynacek@redhat.com>	2016-02-11 08:37:05 (GMT)

Closing.

-DaveG.

Note You need to log in before you can comment on or make changes to this bug.